use std::collections::HashSet;
use tokio::sync::Mutex;


pub mod config;
pub mod cryptography;
pub mod dns;
mod foreign_impl;
pub mod structs;
pub mod traits;

/// Alias for Vec\<String\>
pub type VString = Vec<String>;

/// Alias for an Safe Hashset
pub type SafeSet<T> = Mutex<HashSet<T>>;

pub type Result<T> = std::result::Result<T, structs::Error>;
